# $Revision: 1.40 $, $Date: 2006/12/26 14:17:45 $
%define		_modname	xdebug
%define		_status		stable
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - provides functions for functions traces and profiling
Summary(pl):	%{_modname} - funkcje do ledzenia i profilowania funkcji
Name:		php-pecl-%{_modname}
Version:	2.0.0
%define	_snap	RC2
%define	_rel	1
Release:	1.%{_snap}.%{_rel}
License:	BSD style
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}%{_snap}.tgz
# Source0-md5:	2abef81227a5d60af45ad0792e2fd996
URL:		http://pecl.php.net/package/xdebug/
BuildRequires:	libedit-devel
BuildRequires:	libtool
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
Requires:	%{_sysconfdir}/conf.d
%{?requires_zend_extension}
Conflicts:	ZendOptimizer
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xdebug extension helps you debugging your script by providing a
lot of valuable debug information. The debug information that Xdebug
can provide includes the following:

- stack and function traces in error messages with:
 - full parameter display for user defined functions
 - function name, file name and line indications
 - support for member functions memory allocation
- protection for infinite recursions

Xdebug also provides:

- profiling information for PHP scripts
- script execution analysis
- capabilities to debug your scripts interactively with a debug client

In PECL status of this package is: %{_status}.

%description -l pl
Rozszerzenie Xdebug pomaga przy odpluskwianiu skryptu dostarczajc
duo wartociowych informacji. Informacje przydatne do ledzenia,
ktre moe zapewni Xdebug, obejmuj:

- ledzenie stosu i funkcji w komunikatach bdw wraz z:
 - penym wywietlaniem parametrw dla funkcji zdefiniowanych przez
   uytkownika
 - nazwami funkcji, nazwami plikw i numerami linii
 - obsug metod klas
- przydzielanie pamici
- zabezpieczenie przed nieskoczon rekurencj

Xdebug dostarcza take:

- informacje do profilowania skryptw PHP
- analiz wywoa skryptu
- moliwo ledzenia skryptw interaktywnie przy pomocy klienta
  odpluskwiacza

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
chmod +x %{_modname}-%{version}%{_snap}/debugclient/configure

%build
cd %{_modname}-%{version}%{_snap}
phpize
%configure
%{__make}
cd debugclient
install /usr/share/automake/config.* .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--with-libedit
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-*/debugclient/debugclient $RPM_BUILD_ROOT%{_bindir}/%{_modname}-debugclient
install %{_modname}-*/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
zend_extension%{?zend_zts:_ts}=%{extensionsdir}/%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-*/{README,NEWS,Changelog,CREDITS,xt.vim}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-xdebug.spec,v $
Revision 1.40  2006/12/26 14:17:45  adamg
- release 1 becase of:
  $ rpmvercmp php-pecl-xdebug-2.0.0-0.beta5.1 php-pecl-xdebug-2.0.0-0.RC2.1
  php-pecl-xdebug-2.0.0-0.beta5.1 > php-pecl-xdebug-2.0.0-0.RC2.1

Revision 1.39  2006/12/24 20:00:23  adamg
- updated to 2.0.0RC2
- make use of php_webserver_restart macro

Revision 1.38  2006/12/13 23:53:21  glen
- rel 2 (php 5.2.0)

Revision 1.37  2006/12/13 13:41:08  zergin
- up to RC1
- works with PHP 5.2
- builds natively with gcc4 (patch dropped)

Revision 1.36  2006/03/29 18:35:37  arekm
- rel .2

Revision 1.35  2006/01/04 11:13:33  arekm
- up to beta5

Revision 1.34  2005/12/22 12:11:52  glen
- rel 3 (rebuild with new php)

Revision 1.33  2005/12/22 07:40:04  arekm
- rel .2

Revision 1.32  2005/11/20 21:48:00  zergin
- rel up: beta3 -> beta4
  (works with php 5.1 & is sopposed to work with 6.0 cvs)

Revision 1.31  2005/10/30 13:29:16  glen
- rel 0.beta3.5

Revision 1.30  2005/10/28 23:44:34  glen
- add xt.vim to %doc, rel 4

Revision 1.29  2005/10/28 23:15:24  glen
- with new zts/debug macro deps
- expand zts in .ini file

Revision 1.28  2005/10/08 18:11:29  glen
- add Conflicts due to
  PHP Fatal error:  [Zend Optimizer] Zend Optimizer 2.5.10 is incompatible with Xdebug 2.0.0beta3-dev in Unknown on line 0

Revision 1.27  2005/09/15 07:40:14  glen
- rel .3 (fixed zend api dep)

Revision 1.26  2005/09/15 07:37:29  glen
- unify

Revision 1.25  2005/09/15 07:32:22  glen
- oww. it's zend extension

Revision 1.24  2005/09/15 07:30:21  arekm
- use ts extension directive

Revision 1.23  2005/09/15 07:09:46  arekm
- beta3

Revision 1.22  2005/09/14 22:47:59  glen
- rel 0.beta2.2

Revision 1.21  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.20  2005/09/13 21:13:03  glen
- use new php/zend api macros

Revision 1.19  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.18  2005/09/10 20:01:08  adamg
- switch to conf.d
- force php-devel >= 3:5.0.0

Revision 1.17  2005/03/05 21:39:16  arekm
- up to 2.0.0 beta2, include client binary (subpackage sounds good here)

Revision 1.16  2004/10/31 21:53:11  paladine
- spaces->tabs
- formatting

Revision 1.15  2004/07/10 10:04:54  adamg
- updated to 1.3.2

Revision 1.14  2004/05/31 17:07:16  qboosh
- fixed en status info

Revision 1.13  2004/04/07 10:25:42  adamg
- updated to 1.3.1

Revision 1.12  2004/01/09 21:59:06  qboosh
- pl

Revision 1.11  2004/01/09 17:36:13  adamg
- updated to 1.3.0
- status changed to stable
- fixed License (it's BSD style, not PHP 2.02)
- new en description (pl needs to be translated)

Revision 1.10  2003/10/15 17:37:05  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.9  2003/10/07 20:57:21  adamg
- do not use macros in URL

Revision 1.8  2003/10/06 13:27:13  adamg
- simplified %%setup

Revision 1.7  2003/09/18 20:08:20  adamg
- updated to 1.3.0rc1

Revision 1.6  2003/09/01 13:55:02  ankry
- md5

Revision 1.5  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.4  2003/06/12 12:31:48  qboosh
- cosmetics

Revision 1.3  2003/06/11 20:28:22  adamg
- fixed status info

Revision 1.2  2003/06/09 18:50:40  qboosh
- pl

Revision 1.1  2003/06/08 12:22:05  adamg
- initial import
